Subject: Re: libz and RHEL 5.9 compile of Git

From: Torsten Bögershausen <[email-masked]>
Date: Thu, 23 Jan 2014 14:11:47 +0100

On 2014-01-22 22.27, salmansheikh wrote:
> Got it working but then I had some issues with the perl portions of the
> install and I subsequently thought I could eliminate those portions and
> tried setting export NO_PERL=1 and that installed everything else...and got
> pass this error but when I tried to checkout a git repository as follows, I
> get some remote helper error. Is that related to the perl parts of the git? 

No

> git clone https://github.com/m-labs/migen.git
> Cloning into 'migen'...
> fatal: Unable to find remote helper for 'https'

Please have a look at libcurl.
It seems that libcurl on your system does not support https

The Makefile of Git is your friend:
# Define CURLDIR=/foo/bar if your curl header and library files are in
# /foo/bar/include and /foo/bar/lib directories.